#include <stdio.h>
#ifdef _WIN32
	#include<Windows.h>
#endif

void main()
{
	int i,j,Per_num;
	for(i=1;i<=2000;i++)
	{
		Per_num=0;
		j=1;
		while(j<i)
		{
			if((i%j)==0)
				Per_num += j;
			j++;
		}
		if(Per_num == i)
			printf("%5d perfect number!!!\n",i);
	}
	system("PAUSE");
}